<!doctype html>
<html lang="en">

<head>
	<meta charset="utf-8">
	<title>Coffee Constructor</title>
	<script>
		function Coffee(roast, ounces) {
			this.roast = roast;
			this.ounces = ounces;
			this.getSize = function () {
				if (this.ounces === 8) {
					return "small";
				}
				else if (this.ounces === 12) {
					return "medium";
				}
				else if (this.ounces === 16) {
					return "large";
				}
			};
			this.order = function () {
				var msg;
				switch (this.getSize()) {
				case "small":
				case "medium":
				case "large":
					msg = "You've ordered a " + this.getSize() + " " + this.roast + " coffee.";
					break;
				default:
					msg = "We don't have a " + this.roast + " in that size!";
					break;
				}
				return msg;
			};

		}
		
		Coffee.prototype.sip = (function(){
			console.log("Hmm... maukasta..")
		});

		function Tea(type, ounces) {
			this.type = type;
			this.ounces = ounces;
			this.getSize = function () {
				if (this.ounces === 8) {
					return "small";
				}
				else if (this.ounces === 12) {
					return "medium";
				}
				else if (this.ounces === 16) {
					return "large";
				}
			};

			this.getSteepTime = function () {
				if (this.type === "Green Tea") {
					return 3;
				}
				else if (this.type === "Black Tea") {
					return 5;
				}
				else {
					return 2;
				}
			};

			this.order = function () {
				var msg;
				switch (this.getSize()) {
				case "small":
				case "medium":
				case "large":
					msg = "You've ordered a " + this.getSize() + ' ' + this.getSteepTime() + "min " + this.type + " tea.";
					break;
				default:
					msg = "We don't have a " + this.type + " in that size!";
					break;
				}
				return msg;
			};

		}
		
		Tea.prototype.sip = (function(){
			console.log("Hmmm... hyvää teetä..")
		});

		var coffee = new Coffee("House Blend", 12);
		console.log(coffee.order());

		var darkRoast = new Coffee("Dark Roast", 16);
		console.log(darkRoast.order());

		var specialBlend = new Coffee("Special Blend", 200);
		console.log(specialBlend.order());
		specialBlend.sip();

		var favTea = new Tea("Green Tea", 12);
		console.log(favTea.order());

		var favTea = new Tea("Chai", 8);
		console.log(favTea.order());
		favTea.sip();

		var favTea = new Tea("Black Tea", 99);
		console.log(favTea.order());
	</script>
</head>

<body>
</body>

</html>
